{
  description = "https://noe.sh";

  inputs = {
    nixpkgs.url = "github:NixOS/nixpkgs/nixos-unstable";
    flake-parts.url = "github:hercules-ci/flake-parts";
    teapot.url = "git+https://git.sapphic.engineer/noe/teapot";
  };

  outputs = inputs: inputs.flake-parts.lib.mkFlake { inherit inputs; } {
    systems = [ "x86_64-linux" "aarch64-linux" ];
    perSystem = { config, self', pkgs, lib, system, ... }: let 
    in {
      devShells.default = import ./shell.nix { inherit pkgs; };

      packages.default = inputs.teapot.packages.${system}.brewTea {
        name = "noe.sh";
        version = "0.0.0";
        
        src = ./.;
        layoutSrc = ./layouts;

        markdollPlugins = let 
          mkMarkdollPlugin = inputs.teapot.packages.${system}.mkMarkdollPlugin; 
        in [
          (mkMarkdollPlugin "utils" ./plugins/utils.sh)
        ];
      };
    };
  };
}